> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ListKnowledgeAssetsAPI mirrors erdo_list_knowledge_assets.




## OpenAPI

````yaml /api/openapi.json get /v1/knowledge/{objectID}/attachments
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, experiments, and bounded outreach.
    Authenticate with a Bearer API key (erdo_api_...) or scoped token
    (erdo_token_...).
  version: '2026-10-22'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/knowledge/{objectID}/attachments:
    get:
      summary: |
        ListKnowledgeAssetsAPI mirrors erdo_list_knowledge_assets.
      operationId: GET:mcp.ListKnowledgeAssetsAPI
      parameters:
        - allowEmptyValue: true
          explode: false
          in: path
          name: objectID
          required: true
          schema:
            type: string
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  attachments:
                    items:
                      $ref: '#/components/schemas/mcp.MCPKnowledgeAsset'
                    type: array
                  incomplete:
                    type: boolean
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    mcp.MCPKnowledgeAsset:
      description: >
        bucket/key and internal attachment metadata are intentionally not
        exposed.
      properties:
        byte_size:
          format: int64
          type: integer
        created_at:
          type: string
        description:
          type: string
        filename:
          type: string
        id:
          format: uuid
          type: string
        media_type:
          type: string
        object_id:
          format: uuid
          type: string
        public:
          type: boolean
        signed_url:
          type: string
      title: |
        MCPKnowledgeAsset is the public asset projection. In particular, storage
      type: object
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.